# TypesUtils Class Reference
[Various accompanying utilities]

Inheritance diagram for TypesUtils:
[legend]

List of all members.

## Static Public Member Functions

static | signedToUnsigned ($signedInt)
static | unsignedToSigned ($unsignedInt)

## Public Attributes

const | SIGNED_MAX = 2147483647
const | UNSIGNED_MAX = 4294967295

## Detailed Description

Definition at line 15 of file TypesUtils.class.php.

## Member Function Documentation

static TypesUtils::signedToUnsigned | ( | $ | signedInt | ) | `[static]`

Definition at line 20 of file TypesUtils.class.php.

static TypesUtils::unsignedToSigned | ( | $ | unsignedInt | ) | `[static]`

Definition at line 28 of file TypesUtils.class.php.

Referenced by IpAddress::toSignedInt().

## Member Data Documentation

const TypesUtils::SIGNED_MAX = 2147483647

Definition at line 17 of file TypesUtils.class.php.

const TypesUtils::UNSIGNED_MAX = 4294967295

Definition at line 18 of file TypesUtils.class.php.

The documentation for this class was generated from the following file:

- main/Utils/TypesUtils.class.php